<?php
if (!defined('ABSPATH')) {
    exit;
}
function paydirektAutoloaderLib($className)
{
    require_once('Lib/capture.php');
    require_once('Lib/checkout.php');
    require_once('Lib/constants.php');
    require_once('Lib/logger.php');
    require_once('Lib/paydirektresponse.php');
    require_once('Lib/refund.php');
    require_once('Lib/report.php');
    require_once('Lib/token.php');
    require_once('Lib/utils.php');
    require_once('Lib/models/reportRequestModel.php');
}

function paydirektAutoloaderComponents($className)
{
    require_once('classes/PaydirektCallback.php');
    require_once('classes/PaydirektCheckout.php');
    require_once('classes/PaydirektUtils.php');
    require_once('classes/PaydirektReport.php');
    require_once('classes/components/PaydirektOrderdetailTable.php');
    require_once('classes/components/PaydirektOrderDetailPanel.php');
    require_once('classes/components/PaydirektTable.php');
    require_once('classes/components/PaydirektPanel.php');
    require_once('classes/components/PaydirektReportTable.php');
    require_once('classes/models/PaydirektPanelData.php');
    require_once('classes/PaydirektOrderView.php');
    require_once('classes/PaydirektAdminMenu.php');
    require_once('classes/PaydirektCapture.php');
    require_once('classes/PaydirektRefund.php');
    require_once('classes/components/PaydirektActionButtons.php');
    require_once('classes/components/PaydirektWait.php');
    require_once('classes/PaydirektConfigForm.php');
    require_once('classes/ResponseStatusEnum.php');
    require_once('classes/NotifyStatusEnum.php');
    require_once('classes/components/PaydirektReportForm.php');
    require_once('classes/components/PaydirektReportButtons.php');
    require_once('classes/components/PaydirektFormElement.php');
    require_once('classes/components/PaydirektFormElement.php');
    require_once('classes/components/PaydirektReportDetailPanel.php');
    require_once('classes/PaydirektTransactionList.php');
    require_once('classes/PaydirektReturnAction.php');
}


require_once 'Lib/constants.php';
require_once plugin_dir_path(__FILE__) . 'resources/PaydirektConstants.php';
spl_autoload_register('paydirektAutoloaderLib');
spl_autoload_register('paydirektAutoloaderComponents');