<?php
/**
 * @category    Payment Plugin
 * @package     paydirekt
 * @author      Logata Digital Solutions GmbH
 * @copyright   Logata Digital Solutions GmbH
 * @license     https://logata.com/paydirekt-lizenzbedingungen
 * @version     1.0.44
 * @link        https://www.paydirekt.de
 */

namespace Bitergo\PaydirektWooCommerce\classes;

use Bitergo\PaydirektWooCommerce\classes\PaydirektReport;
use Bitergo\PaydirektWooCommerce\classes\PaydirektOrderView;
use Bitergo\PaydirektWooCommerce\classes\PaydirektCapture;
use Bitergo\PaydirektWooCommerce\classes\PaydirektRefund;
use Bitergo\PaydirektWooCommerce\classes\PaydirektTransactionList;


if (!defined('ABSPATH')) {
    exit;
}
class PaydirektAdminMenu
{
    public function __construct()
    {
        $this->addReportMenu();
        $this->addTransactionsMenu();
        $this->addOrderView();
    }

    public function addReportMenu()
    {
        add_submenu_page(
            PAYDIREKT_WOOCOMMERCE,
            'paydirekt Report',
            'paydirekt Report',
            PAYDIREKT_MANAGE_WOOCOMMERCE,
            'paydirekt-report',
            array($this, 'paydirektReportLoader')
        );
    }
    public function addTransactionsMenu()
    {
        add_submenu_page(
            PAYDIREKT_WOOCOMMERCE,
            'paydirekt Transactions',
            'paydirekt Transactions',
            PAYDIREKT_MANAGE_WOOCOMMERCE,
            'paydirekt-transactions',
            array($this, 'paydirektTransactionsLoader')
        );
    }

    public function addOrderView()
    {
        add_submenu_page(
            PAYDIREKT_PAYMENT_ID,
            'paydirekt Transaction',
            'paydirekt Transaction',
            PAYDIREKT_MANAGE_WOOCOMMERCE,
            'paydirekt-orderview',
            array($this, 'paydirektOrderViewLoader')
        );
        add_submenu_page(
            PAYDIREKT_PAYMENT_ID,
            'paydirekt Capture',
            'paydirekt Capture',
            PAYDIREKT_MANAGE_WOOCOMMERCE,
            'paydirekt-capture',
            array($this, 'paydirektCaptureLoader')
        );
        add_submenu_page(
            PAYDIREKT_PAYMENT_ID,
            'paydirekt Refund',
            'paydirekt Refund',
            PAYDIREKT_MANAGE_WOOCOMMERCE,
            'paydirekt-refund',
            array($this, 'paydirektRefundLoader')
        );
    }
    public function paydirektReportLoader()
    {
        return new PaydirektReport();
    }
    public function paydirektOrderViewLoader()
    {
        return new PaydirektOrderView();
    }
    public function paydirektCaptureLoader()
    {
        return new PaydirektCapture();
    }
    public function paydirektRefundLoader()
    {
        return new PaydirektRefund();
    }
    public function paydirektTransactionsLoader()
    {
        return new PaydirektTransactionList();
    }

}
