<?php
/**
 * @category    Payment Plugin
 * @package     paydirekt
 * @author      Logata Digital Solutions GmbH
 * @copyright   Logata Digital Solutions GmbH
 * @license     https://logata.com/paydirekt-lizenzbedingungen
 * @version     1.0.44
 * @link        https://www.paydirekt.de
 */

namespace Bitergo\PaydirektWooCommerce\classes;

use Bitergo\PaydirektWooCommerce\classes\components\PaydirektReportTable;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektReportForm;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektReportDetailPanel;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektReportButtons;

if (!defined('ABSPATH')) {
    exit;
}
class PaydirektReport
{
    public function __construct()
    {
        wp_register_style('jquery-ui', plugin_dir_url(dirname(__FILE__)) . "resources/css/jquery-ui.css");
        wp_enqueue_style('jquery-ui');
        wp_enqueue_style('fontawesome',
            plugins_url('../resources/css/font-awesome.min.css', __FILE__)
        );
        wp_enqueue_style('footable',
            plugins_url('../resources/css/footable.standalone.min.css', __FILE__)
        );
        wp_enqueue_style('paydirekt-report',
            plugins_url('../resources/css/paydirekt-report.css', __FILE__)
        );
        wp_enqueue_script('jquery-ui-core');
        wp_enqueue_script('jquery-ui-datepicker');
        wp_enqueue_script('paydirekt-footable',
            plugins_url('../resources/js/footable.min.js', __FILE__),
            array(PAYDIREKT_JQUERY),
            null,
            true);
        wp_enqueue_script('paydirekt-report',
            plugins_url('../resources/js/paydirekt-report.js', __FILE__),
            array(PAYDIREKT_JQUERY),
            null,
            true);
        if (isset($_GET[PAYDIREKT_ACTION]) && sanitize_text_field($_GET[PAYDIREKT_ACTION] == "csv")) {
            $paydirektReportTable = new PaydirektReportTable();
            $paydirektReportTable->prepare_items();
            $paydirektReportTable->download();
        } else {
            $paydirektReportForm = new PaydirektReportForm();
            $paydirektReportForm->prepare_items();
            $paydirektReportForm->render();

            $paydirektReportTable = new PaydirektReportTable();
            $paydirektReportTable->prepare_items();
            $paydirektReportTable->render();

            $paydirektCheckoutData = $paydirektReportTable->getData();
            $paydirektReportDetailPanel = new PaydirektReportDetailPanel($paydirektCheckoutData);
            $paydirektReportDetailPanel->prepare_items();
            $paydirektReportDetailPanel->render();

            // disabled, because the header cannot be rewritten fast enough
            // enable, if there is a chance to download the csv file
            $paydirektReportButtons = new PaydirektReportButtons();
            $paydirektReportButtons->prepare_items();
            $paydirektReportButtons->render();
        }
    }

    public static function getAjaxData()
    {
        $paydirektOrderdetailPanel = new PaydirektReportDetailPanel(null);
        $paydirektOrderdetailPanel->prepare_items();
        $paydirektOrderdetailPanel->render();

        wp_die();
    }

}
