<?php
/**
 * @category    Payment Plugin
 * @package     paydirekt
 * @author      Logata Digital Solutions GmbH
 * @copyright   Logata Digital Solutions GmbH
 * @license     https://logata.com/paydirekt-lizenzbedingungen
 * @version     1.0.44
 * @link        https://www.paydirekt.de
 */

namespace Bitergo\PaydirektWooCommerce\classes\components;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektWait;

if (!defined('ABSPATH')) {
    exit;
}
class PaydirektPanel
{

    private $data;

    public function getData()
    {
        return $this->data;
    }
    public function setData($data)
    {
        $this->data = $data;
    }

    public function render()
    {
        ?>
        <div class="wrap paydirekt-detail-box">
        <?php echo PaydirektWait::getWaiter()?>
            <div class="postbox">
                <div class="inside">
                    <div class="col-left">
                        <?php foreach ($this->getOrientationData("left") as $panelData): ?>
                        <div class="infopair">
                            <div class="title paydirekt-label-<?php echo $panelData->getKey()?>"><?php echo $panelData->getLabel();?>:</div>
                            <div class="content paydirekt-content-<?php echo $panelData->getKey()?>"><?php echo $panelData->getValue();?></div>
                        </div>
                        <?php endforeach;?>
                    </div>
                    <div class="col-right">
                        <?php foreach ($this->getOrientationData("right") as $panelData): ?>
                        <div class="infopair">
                            <div class="title paydirekt-label-<?php echo $panelData->getKey()?>"><?php echo $panelData->getLabel();?>:</div>
                            <div class="content paydirekt-content-<?php echo $panelData->getKey()?>"><?php echo $panelData->getValue();?></div>
                        </div>
                        <?php endforeach;?>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>

        <?php
}

    public function getOrientationData($orientation)
    {
        $orientationData = array();
        foreach ($this->data as $panelData) {
            if ($panelData->getOrientation() == $orientation) {
                $orientationData[] = $panelData;
            }
        }
        return $orientationData;
    }
}