<?php

namespace Bitergo\PaydirektWooCommerce\classes\components;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektFormElement;

class PaydirektReportForm
{

    public function __construct()
    {

    }

    public function prepare_items()
    {

    }

    public function render()
    {
        $extendSearchValues = array(
            "reconciliationReferences" => __("Reconciliationnummern", PAYDIREKT_PAYMENT_ID),
            "paymentInformationIds" => __("PaymentInformation-IDs", PAYDIREKT_PAYMENT_ID),
            "merchantReferenceNumbers" => __("Bestellnummern", PAYDIREKT_PAYMENT_ID),
            "checkoutInvoiceNumbers" => __("Rechnungsnummern", PAYDIREKT_PAYMENT_ID),
            "captureInvoiceNumbers" => __("(Teil)-Zahlungs Rechnungsnummern", PAYDIREKT_PAYMENT_ID),
        );
        $from = sanitize_text_field($_GET["from"]);
        $to = sanitize_text_field($_GET["to"]);
        $field = sanitize_text_field($_GET["field"]);
        $field_values = explode(",", sanitize_text_field($_GET["fieldvalue"]));

        // form fields
        $fromField = new PaydirektFormElement();
        $fromField->setType("text");
        $fromField->setClass("paydirekt-report-from");
        $fromField->setName("from");
        $fromField->setValue($from);
        $fromField->setHtmlTable(false);

        $toField = new PaydirektFormElement();
        $toField->setType("text");
        $toField->setClass("paydirekt-report-to");
        $toField->setName("to");
        $toField->setValue($to);
        $toField->setHtmlTable(false);

        $extraSearchField = new PaydirektFormElement();
        $extraSearchField->setType("select");
        $extraSearchField->setClass("paydirekt-report-field");
        $extraSearchField->setName("field");
        $extraSearchField->setValue($extendSearchValues);
        $extraSearchField->setSelectedValue($field);
        $extraSearchField->setHtmlTable(false);

        $extraSearchValue = new PaydirektFormElement();
        $extraSearchValue->setType("text");
        $extraSearchValue->setClass("paydirekt-report-fieldvalue");
        $extraSearchValue->setName("fieldvalue");
        $extraSearchValue->setValue(implode(",", $field_values));
        $extraSearchValue->setHtmlTable(false);

        $searchButton = new PaydirektFormElement();
        $searchButton->setType("button");
        $searchButton->setClass("paydirekt-report-searchbutton button-primary paydirekt-search-button");
        $searchButton->setValue(__("search", PAYDIREKT_PAYMENT_ID));
        $searchButton->setHtmlTable(false);

        ?>
        <div class="paydirekt-report-search">
            <form method="GET">
            <input type="hidden" value="paydirekt-report" name="page" />
            <table>
                <tr>
                    <th><?php echo _e("from", PAYDIREKT_PAYMENT_ID)?></th>
                    <td><?php echo $fromField->render()?></td>
                    <th><?php echo _e("extra_search", PAYDIREKT_PAYMENT_ID)?></th>
                    <td><?php echo $extraSearchField->render()?></td>
                    <td><?php echo $extraSearchValue->render()?></td>
                </tr>
                <tr>
                    <th><?php echo _e("to", PAYDIREKT_PAYMENT_ID)?></th>
                    <td><?php echo $toField->render()?></td>
                    <td><?php echo $searchButton->render()?></td>
                </tr>
            
            </table>
            </form>
        </div>
        <?php
    }

}