<?php
/**
 * @category    Payment Plugin
 * @package     paydirekt
 * @author      Logata Digital Solutions GmbH
 * @copyright   Logata Digital Solutions GmbH
 * @license     https://logata.com/paydirekt-lizenzbedingungen
 * @version     1.0.44
 * @link        https://www.paydirekt.de
 */

namespace Bitergo\PaydirektWooCommerce\resources;

if (!defined('ABSPATH')) {
    exit;
}
define('PAYDIREKT_COMPATIBILITY', version_compare("3.0.0", get_option( 'woocommerce_version' )) <= 0 ? false : true);
define('PAYDIREKT_NOTIFY_SANDBOX_IPADRESS_KEY', "213.95.26.164");
define('PAYDIREKT_NOTIFY_LIVE_IPADRESS_KEY', "213.95.26.236");
define('PAYDIREKT_PAYMENT_ID', "fulino-paydirekt");
define('PAYDIREKT_PAYMENT_TITLE', 'paydirekt');
define('PAYDIREKT_PAYMENT_LOGO', 'resources/images/paydirekt_logo.png');
define('PAYDIREKT_PAYMENT_ICON', 'resources/images/paydirekt_icon.png');
define('PAYDIREKT_WAIT_ICON', 'resources/images/paydirekt_wait.gif');
define('PAYDIREKT_PAYMENT_ICON_URL', plugins_url() . '/' . PAYDIREKT_PAYMENT_ID . '/' . PAYDIREKT_PAYMENT_ICON);
define('PAYDIREKT_WAIT_ICON_URL', plugins_url() . '/' . PAYDIREKT_PAYMENT_ID . '/' . PAYDIREKT_WAIT_ICON);
define('PAYDIREKT_PAYMENT_DESCRIPTION', ' <img src="' . plugins_url() . '/' . PAYDIREKT_PAYMENT_ID . '/' . PAYDIREKT_PAYMENT_LOGO . '" /><br/>
Giropay | paydirekt ist das Online-Bezahlverfahren der deutschen Banken und Sparkassen:<br/>'
    . 'sicher. einfach. direkt.');
define('PAYDIREKT_PAYMENT_PATH', plugin_dir_path("") . '/' . PAYDIREKT_PAYMENT_ID . '/');
define('PAYDIREKT_ISO_DATE_FORMAT_MIN', 'Y-m-d\T00:00:00.000\Z');
define('PAYDIREKT_ISO_DATE_FORMAT_MAX', 'Y-m-d\T23:59:59.000\Z');


// loglevel
define('PAYDIREKT_LOG_LEVEL_DEBUG', "DEBUG");
define('PAYDIREKT_LOG_LEVEL_INFO', "INFO");
define('PAYDIREKT_LOG_LEVEL_ERROR', "ERROR");
define('PAYDIREKT_LOG_LEVEL_DEAKTIVIERT', "DEAKTIVIERT");

// checkout type
define('PAYDIREKT_CHECKOUT_TYPE_DIRECT_SALE', "DIRECT_SALE");
define('PAYDIREKT_CHECKOUT_TYPE_ORDER', "ORDER");
define('PAYDIREKT_CHECKOUT_TYPE_ORDER_SECURED', "ORDER_SECURED");

// transaction Type-ID
define('PAYDIREKT_TRANSACTION_TYPE_1', "Direct Sale");
define('PAYDIREKT_TRANSACTION_TYPE_2', "Refund");
define('PAYDIREKT_TRANSACTION_TYPE_3', "Vorbestellung");
define('PAYDIREKT_TRANSACTION_TYPE_4', "abgelehntes Capture");
define('PAYDIREKT_TRANSACTION_TYPE_5', "erfolgreiches Capture zu einer Order");
define('PAYDIREKT_TRANSACTION_TYPE_6', "stornierte Vorbestellung");
define('PAYDIREKT_TRANSACTION_TYPE_7', "erfolgreiches Overcapture");
define('PAYDIREKT_TRANSACTION_TYPE_8', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_9', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_10', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_11', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_12', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_13', "Unbekannt");
define('PAYDIREKT_TRANSACTION_TYPE_14', "Unbekannt");

// config keys
define('PAYDIREKT_PARAMETER_PAYMENT_TITLE', 'title');
define('PAYDIREKT_PARAMETER_PAYMENT_HTML', 'description');
define('PAYDIREKT_PARAMETER_APIKEY', "apiKey");
define('PAYDIREKT_PARAMETER_APISECRET', "apiSecret");
define('PAYDIREKT_PARAMETER_ORDERNOTE', "orderNote");
define('PAYDIREKT_PARAMETER_CHOOSECHECKOUT', "chooseCheckout");
define('PAYDIREKT_PARAMETER_MINIMUMAGE', "minimumAge");
define('PAYDIREKT_PARAMETER_MINIMUMAMOUNT', "minimumAmount");
define('PAYDIREKT_PARAMETER_MAXIMUMAMOUNT', "maximumAmount");
define('PAYDIREKT_PARAMETER_LOGLEVEL', "logLevel");
define('PAYDIREKT_PARAMETER_MERCHANT_RECONCILATION_REFERENCE_NUMBER', "merchantReconciliationReferenceNumber");
define('PAYDIREKT_PARAMETER_RECONCILIATIONNUMBER', "reconciliationnumber");
define('PAYDIREKT_CHECKCONFIG_BUTTON', "checkconfig");

// sonarcube zero fails constants
define('PAYDIREKT_ACTION', 'action');
define('PAYDIREKT_STATUS', 'status');
define('PAYDIREKT_RESULT', 'result');
define('PAYDIREKT_REDIRECT', 'redirect');
define('PAYDIREKT_SUCCESS', 'success');
define('PAYDIREKT_WOOCOMMERCE', 'woocommerce');
define('PAYDIREKT_MANAGE_WOOCOMMERCE', 'manage_woocommerce');
define('PAYDIREKT_SECTION', 'section');
define('PAYDIREKT_TOKEN', 'token');
define('PAYDIREKT_HASH', 'hash');
define('PAYDIREKT_TITLE', 'title');
define('PAYDIREKT_TYPE', 'type');
define('PAYDIREKT_TYPE_ID', 'transactionTypeId');
define('PAYDIREKT_LABEL', 'label');
define('PAYDIREKT_DEFAULT', 'default');
define('PAYDIREKT_DESCRIPTION', 'description');
define('PAYDIREKT_CLASS', 'class');
define('PAYDIREKT_DESC_TIP', 'desc_tip');
define('PAYDIREKT_JQUERY', 'jquery');
define('PAYDIREKT_WOOCOMMERCE_PAYDIREKT_SETTINGS', 'woocommerce_fulino-paydirekt_settings');
define('PAYDIREKT_RESPONSE', 'response');
define('PAYDIREKT_AMOUNT', 'amount');
define('PAYDIREKT_TOTAL_AMOUNT', 'totalAmount');
define('PAYDIREKT_ORDER_AMOUNT', 'orderAmount');
define('PAYDIREKT_SHIPPING_AMOUNT', 'shippingAmount');
define('PAYDIREKT_SHIPPING_ADDRESS', 'shippingAddress');
define('PAYDIREKT_FINAL_CAPTURE', 'finalCapture');
define('PAYDIREKT_MERCHANT_RECONCILATION_REFERENCE_NUMBER', 'merchantReconciliationReferenceNumber');
define('PAYDIREKT_MESSAGE', 'message');
define('PAYDIREKT_MESSAGES', 'messages');
define('PAYDIREKT_EMBEDDED', '_embedded');
define('PAYDIREKT_CHECKOUTS', 'checkouts');
define('PAYDIREKT_CAPTURES', 'captures');
define('PAYDIREKT_CAPTURE_REFUND_DATA', 'captureRefundData');
define('PAYDIREKT_CURRENCY', 'currency');
define('PAYDIREKT_REFUNDS', 'refunds');
define('PAYDIREKT_CHECKOUTID', 'checkoutId');
define('PAYDIREKT_TRANSACTIONID', 'transactionId');
define('PAYDIREKT_CREATION_TIMESTAMP', 'creationTimestamp');
define('PAYDIREKT_SHOPPING_CART_TYPE', 'shoppingCartType');
define('PAYDIREKT_DELIVERY_TYPE', 'deliveryType');
define('PAYDIREKT_REFUND_LIMIT', 'refundLimit');
define('PAYDIREKT_TEST_TRANSACTION', 'testTransaction');
define('PAYDIREKT_BOOLEAN', 'boolean');
define('PAYDIREKT_LEFT', 'left');
define('PAYDIREKT_RIGHT', 'right');
define('PAYDIREKT_MERCHANT_CUSTOMER_NUMBER', 'merchantCustomerNumber');
define('PAYDIREKT_MERCHANT_ORDER_REFERENCE_NUMBER', 'merchantOrderReferenceNumber');
define('PAYDIREKT_MERCHANT_INVOICE_REFERENCE_NUMBER', 'merchantInvoiceReferenceNumber');
define('PAYDIREKT_CORRELATION_ID', 'correlationId');
define('PAYDIREKT_EXPECTED_SHIPPING_DATE', 'expectedShippingDate');
define('PAYDIREKT_LOGISTICS_PROVIDER', 'logisticsProvider');
define('PAYDIREKT_TRACKNG_NUMBER', 'trackingNumber');
define('PAYDIREKT_BR_TAG', '<br/>');
define('PAYDIREKT_REASON', 'reason');
define('PAYDIREKT_MERCHANT_REFUND_REFERENCE_NUMBER', 'merchantRefundReferenceNumber');
define('PAYDIREKT_MERCHANT_CAPTURE_REFERENCE_NUMBER', 'merchantCaptureReferenceNumber');
define('PAYDIREKT_PAYMENT_INFORMATION_ID', 'paymentInformationId');
define('PAYDIREKT_CAPTURE_INVOICE_REFERENCE_NUMBER', 'captureInvoiceReferenceNumber');
define('PAYDIREKT_DELIVERY_INFORMATION', 'deliveryInformation');
define('PAYDIREKT_COUNT_CAPTURES', 'countCaptures');
define('PAYDIREKT_SUM_CAPTURES', 'sumCaptures');
define('PAYDIREKT_REST_CAPTURABLE', 'restCapturable');
define('PAYDIREKT_CAPTURABLE_TILL', 'capturableTill');
define('PAYDIREKT_COUNT_REFUNDS', 'countRefunds');
define('PAYDIREKT_SUM_REFUNDS', 'sumRefunds');
define('PAYDIREKT_REST_REFUNDS', 'restRefunds');
define('PAYDIREKT_PAYDIREKTREPORT_SESSION_KEY', 'paydirekt_report_session');
define('PAYDIREKT_SHOP_NAME', 'shopName');
define('PAYDIREKT_ORDER_STATUS', 'orderStatus');
define('PAYDIREKT_PAYMENT_STATUS', 'paymentStatus');
define('PAYDIREKT_TRANSACTIONS', 'transactions');
define('PAYDIREKT_TRANSACTION_AMOUNT', 'transactionAmount');
define('PAYDIREKT_TRANSACTION_CURRENCY', 'transactionCurrency');
define('PAYDIREKT_TRANSACTION_DATE', 'transactionDate');
define('PAYDIREKT_END_TO_END_REFERENCE_NUMBER', 'endToEndReferenceNumber');
define('PAYDIREKT_ORDER_ID', 'orderId');
define('PAYDIREKT_MERCHANT_REFERENCE', 'merchantReference');
define('PAYDIREKT_RECONCILIATION_REFERENCE_NUMBER', 'reconciliationReferenceNr');
define('PAYDIREKT_MERCHANT_TRANSACTION_REFERENCE_NUMBER', 'merchantTransactionReferenceNumber');
define('PAYDIREKT_SEVERITY', 'severity');
define('PAYDIREKT_FIELDVALUE', 'fieldvalue');
define('PAYDIREKT_FIELD', 'field');
define('PAYDIREKT_TEXT', 'text');
define('PAYDIREKT_TEXTAREA', 'textarea');
define('PAYDIREKT_PASSWORD', 'password');
define('PAYDIREKT_CHECKBOX', 'checkbox');
define('PAYDIREKT_SELECT', 'select');
define('PAYDIREKT_BUTTON', 'button');
define('PAYDIREKT_USER_ID', 'userId');
define('PAYDIREKT_REDIRECTURL_AFTER_SUCCESS', 'redirectUrlAfterSuccess');
define('PAYDIREKT_REDIRECTURL_AFTER_CANCELLATION', 'redirectUrlAfterCancellation');
define('PAYDIREKT_REDIRECTURL_AFTER_REJECTION', 'redirectUrlAfterRejection');
define('PAYDIREKT_REDIRECTURL_AFTER_AGE_VERIFICATION_FAILURE', 'redirectUrlAfterAgeVerificationFailure');
define('PAYDIREKT_CALLBACKURL_UPDATES', 'callbackUrlStatusUpdates');
define('PAYDIREKT_ERROR', 'error');
define('PAYDIREKT_PAYMENT_ERROR', 'Payment error:');
define('PAYDIREKT_GET_AJAX_DATA', 'getAjaxData');


// Report
// -- -- LEFT
define('PAYDIREKT_VORGANGSNUMMER', 'correlationId');
define('PAYDIREKT_ENDE_ZU_ENDE_REFERENZNUMMER', 'endToEndReferenceNumber');
define('PAYDIREKT_TRANSAKTIONS_TYP', 'transactionTypeId');
define('PAYDIREKT_TRANSAKTIONS_DATUM', 'transactionDate');
define('PAYDIREKT_VALUTA_DATUM', 'valueDate');
define('PAYDIREKT_HAENDLER_VERTRAGS_ID', 'contractId');
define('PAYDIREKT_HAENDLER_ID', 'merchantId');
define('PAYDIREKT_HAENDLER', 'merchantName');
define('PAYDIREKT_HAENDLER_KONTO_IBAN', 'merchantIban');
define('PAYDIREKT_REFERENZNUMMER', 'merchantReference');
define('PAYDIREKT_TRANSAKTIONS_REFERENZNUMMER', 'merchantTransactionReferenceNumber');
define('PAYDIREKT_HAENDLER_BANK_ID', 'merchantBankId');
define('PAYDIREKT_KAEUFER_BANK_ID', 'buyerBankId');
define('PAYDIREKT_KAEUFER_BANK_NAME', 'buyerBankName');
define('PAYDIREKT_TRANSAKTIONSBETRAG', 'transactionAmount');
define('PAYDIREKT_TRANSAKTIONS_WAEHRUNG', 'transactionCurrency');

// -- -- RIGHT
define('PAYDIREKT_KAEUFER_BANK_KONZENTRATOR_ID', 'bankIntermediaryId');
define('PAYDIREKT_KAEUFER_BANK_KONZENTRATOR_NAME', 'bankIntermediaryName');
define('PAYDIREKT_SHOP_ID', 'shopId');
define('PAYDIREKT_ALTERSPRUEFUNG', 'ageVerificationStatus');
define('PAYDIREKT_HAENDLER_MCC', 'MCC');
define('PAYDIREKT_HAENDLER_DBI', 'DBI');
define('PAYDIREKT_EXPRESS_BESTELLUNG', 'paydirektExpress');
define('PAYDIREKT_CHECKOUT_ID', 'checkoutId');
define('PAYDIREKT_RECHNUNGSNUMMER', 'checkoutInvoiceNr');
define('PAYDIREKT_TEIL_ZAHLUNGS_RECHNUNGSNUMMER', 'captureInvoiceNr');
define('PAYDIREKT_RECONCILIATIONSNUMMER', 'reconciliationReferenceNr');
define('PAYDIREKT_RUECKZAHLUNGSGRUND', 'refundReason');
define('PAYDIREKT_NOTE', "note");
