jQuery(document).ready(function () {
    jQuery(".paydirekt-check-config").val("Konfiguration prüfen");
    jQuery(".paydirekt-check-config").on("click", function () {
        checkConfigData();
    });
    jQuery(".paydirekt-validate-field").on("keyup", function () {
        checkConfigFields();
    });
    checkConfigFields();
});

function checkConfigFields() {
    var errorNum = 0;
    var convertedValue = "";

    if (checkUUID4(jQuery(".paydirekt-api-key").val())) {
        jQuery(".paydirekt-api-key").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-api-key").addClass("paydirekt-error");
        errorNum++;
    }

    if (checkBase64_RFC4648(jQuery(".paydirekt-api-secret").val())) {
        jQuery(".paydirekt-api-secret").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-api-secret").addClass("paydirekt-error");
        errorNum++;
    }

    if (checkIsInteger(jQuery(".paydirekt-minimum-age").val())) {
        jQuery(".paydirekt-minimum-age").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-minimum-age").addClass("paydirekt-error");
        errorNum++;
    }
    
    convertedValue = convertToGermanFloat(jQuery(".paydirekt-minimumamount").val());
    if (convertedValue != '' && convertedValue == jQuery(".paydirekt-minimumamount").val()) {
        jQuery(".paydirekt-minimumamount").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-minimumamount").addClass("paydirekt-error");
        errorNum++;
    }

    convertedValue = convertToGermanFloat(jQuery(".paydirekt-maximumamount").val());
    if (convertedValue != '' && convertedValue == jQuery(".paydirekt-maximumamount").val()) {
        jQuery(".paydirekt-maximumamount").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-maximumamount").addClass("paydirekt-error");
        errorNum++;
    }
    if (isSepaValid(jQuery(".paydirekt-order-note").val())) {
        jQuery(".paydirekt-order-note").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-order-note").addClass("paydirekt-error");
        errorNum++;
    }

    if (isSepaValid(jQuery(".paydirekt-merchant-reconciliation-reference-number").val())) {
        jQuery(".paydirekt-merchant-reconciliation-reference-number").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-merchant-reconciliation-reference-number").addClass("paydirekt-error");
        errorNum++;
    }
    
    if (isSepaValid(jQuery(".paydirekt-merchant-reconciliation-number").val())) {
        jQuery(".paydirekt-merchant-reconciliation-number").removeClass("paydirekt-error");
    } else {
        jQuery(".paydirekt-merchant-reconciliation-number").addClass("paydirekt-error");
        errorNum++;
    }

    return errorNum;
}

function checkConfigData() {
    var isValidConfigFields = checkConfigFields();
    if (isValidConfigFields !== 0) {
        markError(isValidConfigFields);
        return;
    }
    var apiKey = jQuery(".paydirekt-api-key").val();
    var apiSecret = jQuery('.paydirekt-api-secret').val();

    var data = {
        'action': 'paydirekt_check_config',
        'apiKey': apiKey,
        'apiSecret': apiSecret
    };
    jQuery.post(ajaxurl, data, function (response) {
        var xml = jQuery(response);
        var responseData = xml.find("response_data");
        if (responseData.text() == "true") {
            markSuccess();
        } else {
            markError();
        }
    });
}

function markError(count) {
    var countVal = "";
    if (count > 0) {
        countVal = " (" + count + ")";
    }
    jQuery(".paydirekt-check-config").val("Ihre Daten sind nicht korrekt" + countVal);
    jQuery(".paydirekt-check-config").removeClass("paydirekt-success");
    jQuery(".paydirekt-check-config").addClass("paydirekt-error");
}

function markSuccess() {
    jQuery(".paydirekt-check-config").val("Ihre Daten sind korrekt");
    jQuery(".paydirekt-check-config").removeClass("paydirekt-error");
    jQuery(".paydirekt-check-config").addClass("paydirekt-success");
}

