jQuery(document).ready(function () {
    
    var dateFormatString = "dd.mm.yy";
    var fromOptions = {
        minDate: -180,
        maxDate: "+0D",
        dateFormat: dateFormatString
    }
    var toOptions = {        
        minDate: -180,
        maxDate: "+0D",
        dateFormat: dateFormatString
    };
    jQuery('.paydirekt-report-from').datepicker(fromOptions);
    jQuery('.paydirekt-report-to').datepicker(toOptions).datepicker("setDate", "0");
    
    //preselect the first entry
    var first = jQuery(".paydirekt-report-row").first()
    getReportData(first);
    jQuery(first).addClass("paydirekt-marked");

    jQuery(".paydirekt-report-row").on("click", function () {
        getReportData(this);
        // reset marked row
        jQuery(".paydirekt-report-row").removeClass("paydirekt-marked");
        // mark clicked row
        jQuery(this).addClass("paydirekt-marked");
    });

    jQuery('.paydirekt-list').footable();
});

function renderDetail(jsonData){
    var type = [];
    type[1] = "Direct Sale";
    type[2] = "Refund";
    type[3] = "Vorbestellung";
    type[4] = "abgelehntes Capture";
    type[5] = "erfolgreiches Capture zu einer Order";
    type[6] = "stornierte Vorbestellung";
    type[7] = "erfolgreiches Overcapture";

    for(var index in jsonData){
        if (jsonData[index] == "n"){
            jsonData[index] = "Nein";
        } else if (jsonData[index] == "y"){
            jsonData[index] = "Ja";
        }

        if (index == "transactionTypeId" && Number.isInteger(parseInt(jsonData[index]))){
            jsonData[index] = type[parseInt(jsonData[index])];
        }
        jQuery(".paydirekt-content-" + index).text(jsonData[index]);
    }   
}

function getReportData(selector) {
    var data = {
        'action': 'paydirekt_report_view'
    };
    jQuery(".paydirekt-wait").show();
    jQuery.post(ajaxurl, data, function (response) {
        jQuery(".paydirekt-detail-box").replaceWith(response);
        jQuery(".paydirekt-wait").hide();
        renderDetail(jQuery(selector).data("paydirekt-data"));
    });
}