function checkUUID4(value) {
    var regexStr = '^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$';
    var patt = new RegExp(regexStr);
    return patt.test(value);
}
function checkBase64_RFC4648(value) {
    var regexStr = '(?:^(?:[[A-Za-z0-9_-]{4})*(?:[[A-Za-z0-9_-]{2}==|[[A-Za-z0-9_-]{3}=)$)';
    var patt = new RegExp(regexStr);
    return patt.test(value);
}
function checkIsInteger(value) {
    return (Math.floor(value) == value && jQuery.isNumeric(value) && value <= 99 && value >= 0)
}
function convertToPreciseFloat(number) {
    number = String(number).replace(',', '.');
    return parseFloat(number).toFixed(2);
}
function convertToGermanFloat(number) {
    number = convertToPreciseFloat(number);
    if (isNaN(number)) {
        return '';
    }
    return String(number).replace('.', ',');
}
function isSepaValid(value) {
    if (!value) {
        return false;
    }
    var placeholder = ["{{bestellnummer}}", "{{kundennummer}}", "{{vorname}}", "{{name}}", "{{bestelldatum}}"];
    for (var i = 0; i < placeholder.length; i++){
        var searchMask = placeholder[i];
        var regEx = new RegExp(searchMask, "ig");
        value = value.replace(regEx, '');
    }
    
    var regexStr = '[^A-Za-z0-9\'\:\?\,\(\+\.\)\/\-]';
    return value.match(regexStr) == null ? true : false;
}